Name:    ivtv-firmware
Version: 20080701
Release: %mkrel 4
License: Redistributable, no modification permitted
Group:   System/Kernel and hardware
Summary: Firmware for the Hauppauge PVR 250/350/150/500/USB2 model series
URL:     http://dl.ivtvdriver.org/ivtv/firmware/
Source0: http://dl.ivtvdriver.org/ivtv/firmware/%{name}-%{version}.tar.gz
BuildArch: noarch

%description
This package contains the firmware for WinTV Hauppauge PVR
250/350/150/500/USB2 cards.

%prep
%setup -q -c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware

install -p -m 0644 v4l-cx2341x-*.fw %{buildroot}/lib/firmware/
install -p -m 0644 v4l-cx2341x-init.mpg %{buildroot}/lib/firmware/
install -p -m 0644 v4l-pvrusb2-*.fw %{buildroot}/lib/firmware/
# license requires that the licenses go in the same place as the firmware
for f in license-*.txt
do
  install -p $f %{buildroot}/lib/firmware/%{name}-$f
done

%clean
rm -rf %{buildroot}

%files
%doc license-*.txt
/lib/firmware/*.fw
/lib/firmware/v4l-cx2341x-init.mpg
/lib/firmware/%{name}-license-*.txt


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 20080701-4.mga5
+ Revision: 744030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20080701-3.mga5.nonfree
+ Revision: 680589
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 20080701-2.mga4.nonfree
+ Revision: 548404
- Mageia 4 rebuild

* Fri Feb 08 2013 tmb <tmb> 20080701-1.mga3.nonfree
+ Revision: 397096
- only install firmwares not already in kernel-firmware-nonfree
- spec cleanups
- import from fedora


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:20080701-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:20080701-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:20080701-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:20080701-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:20080701-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 24 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:20080701-18
- Update to 20080701.

* Wed Mar  5 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:20070217-17
- Many fixes by Jarod Wilson.
- Rip out legacy support.

* Sat Feb  2 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:20070217-16
- Place licenses next to firmware images.

* Sat Dec 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:20070217-15.1
- Own directories from legacy paths.

* Wed Oct 24 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:20070217-15
- Add v4l-cx2341x-init.mpg as a pseudo-firmware.

* Wed Feb 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:20070217-13
- Modify versioning to follow date.

* Mon May 29 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update firmwares to recommended versions.
- Merge in audio firmware.

* Tue Jan  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build for audio firmware.

* Thu Oct 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update firmware to 1.8a.
- split package into enc/dec firmwares.
- version acording to origin, note that the two firmwares have
  different versions, so none is really suitable for the main package.

* Wed Mar  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Change versioning (previous was based on Windows driver).
- need to bump epoch for that :(

* Sat Feb 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.8 (22035).

* Mon Dec 29 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


